diff -urN a/package-upload.html b/package-upload.html
--- a/package-upload.html	2014-09-30 17:24:48.000000000 -0400
+++ b/package-upload.html	2015-05-31 17:04:19.000000000 -0400
@@ -21,7 +21,10 @@
 </p>
 
 <h2>Requesting upload privileges</h2>
-Send your public ssh key to the <a href="http://cygwin.com/lists.html#cygwin-apps">cygwin-apps</a> using this format:<pre><tt>    Subject: SSH key for upload access
+
+<p>Send your public ssh key to the <a href="http://cygwin.com/lists.html#cygwin-apps">cygwin-apps</a> using this format:</p>
+
+<pre><tt>    Subject: SSH key for upload access
 
     Name: Your Name
     Package: The name of <b>one</b> (and only one) of the packages that you are responsible for
@@ -30,26 +33,56 @@
     ---- END SSH2 PUBLIC KEY ----
 </tt></pre>
 
-When specifying your name, use your exact name as shown at <a href="http://cygwin.com/cygwin-pkg-maint">http://cygwin.com/cygwin-pkg-maint</a>.<br>
+<p>When specifying your name, use your exact name as shown at <a href="http://cygwin.com/cygwin-pkg-maint">http://cygwin.com/cygwin-pkg-maint</a>.<br>
 Specifying <b>one</b> package provides you with the ability to upload
-any of your packages from <a href="http://cygwin.com/cygwin-pkg-maint">http://cygwin.com/cygwin-pkg-maint</a>.
+any of your packages from <a href="http://cygwin.com/cygwin-pkg-maint">http://cygwin.com/cygwin-pkg-maint</a>.</p>
 
 <p>The SSH key above should be generated from one of your public keys, e.g.:<pre><tt>    ssh-keygen -e -f ~/.ssh/id_rsa.pub</pre></tt></p>
 
-The format of this email is not optional.  It is read by a program so please
+<p>The format of this email is not optional.  It is read by a program so please
 do not deviate from the above.  In particular, don't indent, don't add multiple
 packages, and <b>do</b> use <a href="http://cygwin.com/cygwin-pkg-maint">your name</a> as
-recorded in  <a href="http://cygwin.com/cygwin-pkg-maint">http://cygwin.com/cygwin-pkg-maint</a>.
+recorded in  <a href="http://cygwin.com/cygwin-pkg-maint">http://cygwin.com/cygwin-pkg-maint</a>.</p>
 
 <p><b>Note: Send email in this format if you need to update your ssh key.</b></p>
 
 <p>Requests are handled manually and are acknowledged publicly in
 response to email to the <tt>cygwin-apps</tt> mailing list.</p>
-<h2>Uploading Files to cygwin.com</h2>
-Once the ssh key has been installed you'll have limited
+
+<h2>Connecting to cygwin.com</h2>
+
+<p>Once the ssh key has been installed you'll have limited
 <a href="http://en.wikipedia.org/wiki/SSH_File_Transfer_Protocol#SFTP_client">sftp</a>
-access to cygwin.com where you will be able to upload packages.  An
-upload directory on cygwin.com will look like this:
+access to cygwin.com, where you will be able to upload packages.  You may connect for example by
+<tt>sftp cygwin@cygwin.com</tt>, or using lftp as in the example below.  When connecting,
+make sure that you use the user <tt>cygwin</tt> with no password, and that you are using the
+same ssh key as the one that you specified previously.</p>
+
+<p>The first time you connect, you should verify that the host key fingerprint matches one of
+the following hashes:</p>
+
+<ul>
+<li>SHA256 (OpenSSH 6.8 or later): <tt>SHA256:MFNiczzfX8/nvLSRZwR3CxMyycKtMan64Zm4C373FeM</tt>
+<li>MD5 (OpenSSH pre-6.8): <tt>1d:1e:46:7f:4d:73:8d:10:20:c3:4c:5a:34:14:44:23</tt>
+</ul>
+
+<h2>Uploading Files</h2>
+
+There are two ways to upload finished packages to cygwin.com.
+
+<h3>Using cygport</h3>
+
+<p>If you have a <a href="https://cygwin.com/cygport/README">cygport</a> build script for your
+packages, the easiest way to upload your finished packages is just to run:<p>
+
+<pre>    cygport pkg.cygport up</pre>
+
+<p>That will upload your finished packages, taking care of all of the details described in the manual method below.</p>
+
+<h3>Manually</h3>
+
+<p>You may also upload files directly, using an sftp client such as sftp or lftp. An upload
+directory on cygwin.com will look like this:</p>
 
 <pre>
     Your Name                   # Directory is currently your full name (you won't actually see this)
@@ -60,11 +93,7 @@
            pkg-debuginfo        # package subdirectories
 </pre>
 
-<p>When connecting, make sure that you use the user <tt>cygwin</tt> with
-no password and that you are using the same ssh key as the one that you
-specified previously.</p>
-
-<p>Example using <a href="http://lftp.yar.ru/">lftp</a> to upload packages:
+<h4>Example using <a href="http://lftp.yar.ru/">lftp</a> to upload packages:</h4>
 
 <pre>
     % lftp sftp://cygwin@cygwin.com
@@ -140,7 +169,9 @@
 uploaded packages.  It doesn't matter where you create this file but
 it makes sense to put it at the root of your upload directory.</p>
 
-<h2>Example <tt>lftp</tt> upload command line</h3> <pre>    From: Christopher Faylor
+<h4>Example <tt>lftp</tt> upload command line</h4>
+
+<pre>    From: Christopher Faylor
     To: cygwin-apps
     Subject: Re: The upload system is live (Re: Major changes coming to
             procedure for uploading to sourceware)
@@ -155,6 +186,7 @@
     
     cgf
 </pre>
+
 <h2><a name="deleting">Removing files from the Cygwin distribution</a></h2>
 
 To cause files to be removed from the distribution, upload an empty file with the name of the file that you want deleted, prefixed with a "<tt>-</tt>".
